PETSc version 3.15.5
Fix/Edit manual page

# PCMGMatResidualTransposeDefault

Default routine to calculate the residual of the transposed linear system

### Synopsis

    #include "petscksp.h"
    PetscErrorCode PCMGMatResidualTransposeDefault(Mat mat,Mat b,Mat x,Mat r)

Collective on Mat

### Input Parameters

| mat | - the matrix
| b | - the right-hand-side
| x | - the approximate solution

### Output Parameter

| r | - location to store the residual

### See Also

PCMGSetMatResidualTranspose()

### Level

developer

### Location

src/ksp/pc/impls/mg/mgfunc.c
Index of all PC routines
Table of Contents for all manual pages
Index of all manual pages